unit Multimedia;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmMultimedia = class(TForm)
    GroupBox1: TGroupBox;
    btnUplPic: TButton;
    edtPicture: TEdit;
    btn1: TButton;
    btnUplPhoto: TButton;
    edtPhoto: TEdit;
    btn2: TButton;
    btnDelPic: TButton;
    edtDelPic: TEdit;
    btnDelPhoto: TButton;
    edtDelPhoto: TEdit;
    btnDwnPhoto: TButton;
    edtDwnPhoto: TEdit;
    edtPath2: TEdit;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    btnDownloadPicture: TButton;
    edtDwnPicture: TEdit;
    Label5: TLabel;
    edtPath1: TEdit;
    Label6: TLabel;
    btnPass: TButton;
    edtPass: TEdit;
    Label7: TLabel;
    procedure btn1Click(Sender: TObject);
    procedure btn2Click(Sender: TObject);
    procedure btnUplPicClick(Sender: TObject);
    procedure btnUplPhotoClick(Sender: TObject);
    procedure btnDelPicClick(Sender: TObject);
    procedure btnDelPhotoClick(Sender: TObject);
    procedure btnDwnPhotoClick(Sender: TObject);
    procedure btnDownloadPictureClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMultimedia: TfrmMultimedia;

implementation
uses main;
{$R *.dfm}

procedure TfrmMultimedia.btn1Click(Sender: TObject);
begin
			if OpenDialog1.Execute then
         edtPicture.Text := OpenDialog1.FileName;
end;

procedure TfrmMultimedia.btn2Click(Sender: TObject);
begin
         if OpenDialog1.Execute then
         edtPhoto.Text := OpenDialog1.FileName;
end;

procedure TfrmMultimedia.btnUplPicClick(Sender: TObject);
begin
		 if	frmTCMSv2.BioBridgeSDKv3lib1.UploadPicture(edtPicture.Text) = 0 then
         memo1.Lines.Add('Upload picture success')
       else
         memo1.Lines.Add('Upload picture fail');
end;

procedure TfrmMultimedia.btnUplPhotoClick(Sender: TObject);
begin
       if	frmTCMSv2.BioBridgeSDKv3lib1.UploadUserPhoto(edtPhoto.Text) = 0 then
         memo1.Lines.Add('Upload user photo success')
       else
         memo1.Lines.Add('Upload user photo fail');
end;

procedure TfrmMultimedia.btnDelPicClick(Sender: TObject);
begin
		if	frmTCMSv2.BioBridgeSDKv3lib1.DeletePicture(edtDelPic.Text) = 0 then
         memo1.Lines.Add('Delete picture success')
       else
         memo1.Lines.Add('Delete picture fail');
end;

procedure TfrmMultimedia.btnDelPhotoClick(Sender: TObject);
begin
      if	frmTCMSv2.BioBridgeSDKv3lib1.DeleteUserPhoto(edtDelPhoto.Text) = 0 then
         memo1.Lines.Add('Delete user photo success')
       else
         memo1.Lines.Add('Delete user photo fail');
end;

procedure TfrmMultimedia.btnDwnPhotoClick(Sender: TObject);
begin
		 if	frmTCMSv2.BioBridgeSDKv3lib1.DownloadUserPhoto(edtDwnPhoto.Text,edtPath2.Text) = 0 then
         memo1.Lines.Add('Download user photo success')
       else
         memo1.Lines.Add('Download user photo fail');
end;

procedure TfrmMultimedia.btnDownloadPictureClick(Sender: TObject);
begin
      if	frmTCMSv2.BioBridgeSDKv3lib1.DownloadPicture(edtDwnPicture.Text,edtPath1.Text) = 0 then
         memo1.Lines.Add('Download picture success')
       else
         memo1.Lines.Add('Download picture fail');
end;

end.
